// --------------------------------------------------------
// Code generated by Papyrus C
// --------------------------------------------------------

// This template is called by the main module file 
/* 
 * File generated from the CCodegenTest::Package1::DataType uml class
 * Generated by the Papyrus C Generator (CEA LIST) 
 *
 */

#ifndef DATATYPE_H_
#define DATATYPE_H_

// Explicit import of the class
/*
 * -------------------- Includes and declares --------------------
 */
// Derived includes
// End of Derived includes
// Derived declarations
// End of Derived declares

// Std headers
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
// End of Std headers

// header body
/*
 * ------------------- Public Class Description ------------------
 */
//  Structure 
typedef struct DataType DataType;

struct DataType {

	int attr1;
};

// Property initialisation declarations
/*
 * ----------- Default value initialization prototypes -----------
 */
/*
 * Default value initialization
 * @param DataType structure instance pointer
 * @return void
 */
void DataType_init(DataType *self);

// ----------------------------------Public global variables ----------------------------------
// global variable declaration

char *attr2 = "TestString";

#endif /*DATATYPE_H_*/
